List businesses by owner

GET/business/list-businesses-by-owner

Returns all businesses associated with the owner

Headers

  • x-api-keystringrequired

    Api key provided on integrations tab in Easyflow platform.

  • x-api-secretstringrequired

    Api Secret provided on integrations tab in Easyflow platform.

Query parameters

  • pageintegerrequired

    Page number to access

    Example:1

  • limitintegerrequired

    Number of items to be loaded per page

    Example:10

Responses

200In case of success, you will receive a paginated list of all businesses belonging to the owner.

In case of success, you will receive a paginated list of all businesses belonging to the owner.

Content typeapplication/jsonobject

  • statusCodeinteger

    Example:200

  • dataobject
    Show child attributesHide child attributes
    • docsarray of objects
      Show child attributesHide child attributes
      • idstring
      • createdAtstring
      • namestring
      • documentobject
        Show child attributesHide child attributes
        • typestring
        • numberstring
      • ownerobject
        Show child attributesHide child attributes
        • idstring
        • namestring
        • documentobject
          Show child attributesHide child attributes
          • typestring
          • numberstring
        • emailstring
      • planobject
        Show child attributesHide child attributes
        • idstring
        • descriptionstring
        • namestring
        • statusstring

          Possible values:draftactiveinactiveblocked

        • isDefaultboolean
      • bankAccountsarray of objects
        Show child attributesHide child attributes
        • agencyNumberstringnullable
        • accountNumberstringnullable
        • namestring
        • bankCodestringnullable
        • isDefaultboolean
        • externalReferenceIdstring
        • idstring
        • pixKeystring
        • pixTypestring

          Possible values:DynamicEmailPhoneCPFCNPJ

        • typestring

          Possible values:savingscheckingcreditdebit

        • accountCheckerDigitstringnullable
        • agencyCheckerDigitstringnullable
    • limitinteger
    • currentPageinteger
    • nextPageintegernullable
    • totalPagesinteger
    • totalDocsinteger
    • hasNextboolean
400If the provided parameter is invalid, the API will return the following error response:

If the provided parameter is invalid, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid param: []

    Example:Invalid param: []

  • errorstring

    Bad Request

    Example:Bad Request

  • statusCodeinteger

    400

    Example:400

  • errorCodestring

    Code that identifies the error. Present only on some errors.

401If the request is unauthorized, the API will return the following error response:

If the request is unauthorized, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid field

    Example:Unauthorized

  • errorstring

    Unauthorized

    Example:Unauthorized

  • statusCodeinteger

    401

    Example:401

403If the request is forbidden, the API will return the following error response:

If the request is forbidden, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Forbidden resource

    Example:Forbidden resource

  • errorstring

    Forbidden

    Example:Forbidden

  • statusCodeinteger

    403

    Example:403

500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

Content typeapplication/jsonobject

  • statusCodeinteger

    HTTP status code.

    Example:500

  • messagestring

    Explanation of the error.

    Example:Internal Server Error